summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-09-14 07:24:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-16 12:23:22 +0700
commit63b73283c327a12967ee27ad55e8e0f7a6b61e60 (patch)
treea65112ed8f997bbf978bbe7d652d35644732b38e /audio
parentba634ad76f5b041756801cb4a72e79a75fc77979 (diff)
downloadslackbuilds-63b73283c327a12967ee27ad55e8e0f7a6b61e60.tar.gz
slackbuilds-63b73283c327a12967ee27ad55e8e0f7a6b61e60.tar.xz
audio/tta: Added (TTA lossless audio codec).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/tta/README21
-rw-r--r--audio/tta/slack-desc19
-rw-r--r--audio/tta/tta.SlackBuild101
-rw-r--r--audio/tta/tta.info10
4 files changed, 151 insertions, 0 deletions
diff --git a/audio/tta/README b/audio/tta/README
new file mode 100644
index 0000000000..cf29c9b902
--- /dev/null
+++ b/audio/tta/README
@@ -0,0 +1,21 @@
+tta (TTA lossless audio codec)
+
+TTA is a lossless compressor for multichannel 8,16 and 24 bits audio data
+with the ability of password data protection.
+Being 'lossless' means that no data/quality is lost in the compression.
+When when uncompressed, the data will be identical to the original.
+
+This package contains a full-futured codec library for realtime encoding
+and decoding of True Audio (TTA) files.
+
+Features:
+
+ * Down to 30-60% lossless audio data compression
+ * Fast decoding and encoding
+ * Password data protection
+ * Multiplatform
+ * Open source code and documentation
+ * Hardware support
+ * Real time data encryption
+
+This package can coexist with "ttaenc", also available in SlackBuilds.
diff --git a/audio/tta/slack-desc b/audio/tta/slack-desc
new file mode 100644
index 0000000000..ab9c19107f
--- /dev/null
+++ b/audio/tta/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tta: tta (TTA lossless audio codec)
+tta:
+tta: TTA is a lossless compressor for multichannel 8,16 and 24 bits audio
+tta: data, with the ability of password data protection. Being 'lossless'
+tta: means that no data/quality is lost in the compression - when
+tta: uncompressed, the data will be identical to the original.
+tta:
+tta: Home Page: http://en.true-audio.com/
+tta:
+tta:
+tta:
diff --git a/audio/tta/tta.SlackBuild b/audio/tta/tta.SlackBuild
new file mode 100644
index 0000000000..52edb60b70
--- /dev/null
+++ b/audio/tta/tta.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# Slackware build script for tta.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tta
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="libtta-cpp"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+DOCS="COPYING README"
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/tta/tta.info b/audio/tta/tta.info
new file mode 100644
index 0000000000..b6f5e2d8d1
--- /dev/null
+++ b/audio/tta/tta.info
@@ -0,0 +1,10 @@
+PRGNAM="tta"
+VERSION="2.3"
+HOMEPAGE="http://en.true-audio.com/"
+DOWNLOAD="http://sourceforge.net/projects/tta/files/tta/libtta++/libtta-cpp-2.3.tar.gz"
+MD5SUM="c0b934e854fef32dc8578241e7b233b3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"